## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-scikit-build-core
Version:        0.8.0
Release:        %autorelease
Summary:        Build backend for CMake based projects

License:        Apache-2.0
URL:            https://github.com/scikit-build/scikit-build-core
Source:         %{pypi_source scikit_build_core}

BuildArch:      noarch
BuildRequires:  python3-devel
# Testing dependences
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  git

%global _description %{expand:
A next generation Python CMake adapter and Python API for plugins
}

%description %_description

%package -n python3-scikit-build-core
Summary:        %{summary}
Requires:       cmake
Recommends:     (ninja-build or make)
Recommends:     python3dist(pyproject-metadata)
Recommends:     python3dist(pathspec)
Suggests:       ninja-build
Suggests:       gcc
%description -n python3-scikit-build-core %_description


%prep
%autosetup -n scikit_build_core-%{version}


%generate_buildrequires
%pyproject_buildrequires -x test,test-meta,test-numpy


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files scikit_build_core


%check
%pytest \
    -m "not network"


%files -n python3-scikit-build-core -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Tue Jan 23 2024 Packit <hello@packit.dev> - 0.8.0-1
- [packit] 0.8.0 upstream release

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 08 2023 Packit <hello@packit.dev> - 0.6.1-1
- [packit] 0.6.1 upstream release

* Thu Sep 21 2023 Packit <hello@packit.dev> - 0.5.1-1
- [packit] 0.5.1 upstream release

* Tue Aug 22 2023 Cristian Le <cristian.le@mpsd.mpg.de> - 0.5.0-1
- [packit] 0.5.0 upstream release

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jun 05 2023 Packit <hello@packit.dev> - 0.4.4-1
- 0.4.4 upstream release

* Thu Apr 13 2023 Packit <hello@packit.dev> - 0.3.0-1
- [packit] 0.3.0 upstream release

* Fri Mar 24 2023 Miro Hrončok <miro@hroncok.cz> - 0.2.2-2
- Move the Requires, Recommends and Suggests to python3-scikit-build-core

* Mon Mar 20 2023 Cristian Le <cristian.le@mpsd.mpg.de> - 0.2.2-1
- Initial import (#2179414).


